Package org.eclipse.net4j.protocol

# Interface IProtocol3<INFRA_STRUCTURE>

All Superinterfaces:
  `IBufferHandler`, `ILocationAware`, `IProtocol<INFRA_STRUCTURE>`, `IProtocol2<INFRA_STRUCTURE>`, `org.eclipse.net4j.util.security.IUserAware`

All Known Implementing Classes:
  `AuthenticatingSignalProtocol`, `HeartBeatProtocol`, `HeartBeatProtocol.Server`, `Protocol`, `SignalProtocol`

public interface IProtocol3<INFRA_STRUCTURE> extends IProtocol2<INFRA_STRUCTURE>
A `protocol` that is told when it is `fully connected`.

Since:
  4.17
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

`ILocationAware.Location`

## Field Summary

### Fields inherited from interface org.eclipse.net4j.protocol.IProtocol2

`UNSPECIFIED_VERSION`

## Method Summary

Modifier and Type
Method
Description
`default void`
`doWhenFullyConnected()`

### Methods inherited from interface org.eclipse.net4j.buffer.IBufferHandler

`handleBuffer`

### Methods inherited from interface org.eclipse.net4j.ILocationAware

`getLocation, isClient, isServer`

### Methods inherited from interface org.eclipse.net4j.protocol.IProtocol

`getBufferProvider, getChannel, getExecutorService, getInfraStructure, getType, setChannel, setExecutorService, setInfraStructure`

### Methods inherited from interface org.eclipse.net4j.protocol.IProtocol2

`getVersion`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

`getUserID`

## Method Details

### doWhenFullyConnected

default void doWhenFullyConnected() throws Exception

Throws:
  `Exception`